#![feature(let_chains)]

pub mod ccp;
pub mod dce;
pub mod delete_uncalled;
pub mod editor;
pub mod fork_concat_split;
pub mod fork_guard_elim;
pub mod forkify;
pub mod gvn;
pub mod inline;
pub mod interprocedural_sroa;
pub mod materialize_clones;
pub mod outline;
pub mod pass;
pub mod phi_elim;
pub mod pred;
pub mod schedule;
pub mod sroa;
pub mod unforkify;
pub mod utils;

pub use crate::ccp::*;
pub use crate::dce::*;
pub use crate::delete_uncalled::*;
pub use crate::editor::*;
pub use crate::fork_concat_split::*;
pub use crate::fork_guard_elim::*;
pub use crate::forkify::*;
pub use crate::gvn::*;
pub use crate::inline::*;
pub use crate::interprocedural_sroa::*;
pub use crate::materialize_clones::*;
pub use crate::outline::*;
pub use crate::pass::*;
pub use crate::phi_elim::*;
pub use crate::pred::*;
pub use crate::schedule::*;
pub use crate::sroa::*;
pub use crate::unforkify::*;
pub use crate::utils::*;
