extern crate hercules_ir;

use self::hercules_ir::*;

use crate::*;

/*
 * Top level function to materialize clones of collections. This transformation
 * eliminates the possibility of multiple independent writes (including dynamic
 * writes) to a single collection by introducing extra collection constants and
 * inserting explicit clones. This allows us to make the simplifying assumption
 * in the backend that collections have reference, rather than value, semantics.
 * The pass calling this function is mandatory for correctness.
 */
pub fn materialize_clones(editor: &mut FunctionEditor, objects: &FunctionCollectionObjects) {
    todo!()
}
