#![feature(box_as_ptr, let_chains)]

extern crate async_std;
extern crate juno_build;

juno_build::juno!("call");

fn main() {
    async_std::task::block_on(async {
        let x = myfunc(7).await;
        let y = add(10, 2, 18).await;
        assert_eq!(x, y);
    });
}

#[test]
fn call_test() {
    main();
}
