#![feature(future_join)]

extern crate async_std;
extern crate juno_build;

juno_build::juno!("casts_and_intrinsics");

fn main() {
    async_std::task::block_on(async {
        let output = casts_and_intrinsics(16.0).await;
        println!("{}", output);
        assert_eq!(output, 4);
    });
}

#[test]
fn casts_and_intrinsics_test() {
    main();
}
