#![feature(future_join, box_as_ptr)]

extern crate async_std;
extern crate juno_build;

juno_build::juno!("implicit_clone");

fn main() {
    async_std::task::block_on(async {
        let output = antideps(1, 1).await;
        println!("{}", output);
        assert_eq!(output, 5);

        let output = implicit_clone(3).await;
        println!("{}", output);
        assert_eq!(output, 9);
    });
}

#[test]
fn implicit_clone_test() {
    main();
}
